> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign Terms



## OpenAPI

````yaml /openapi.json post /orders/terms_and_conditions/{tenant_name}/sign
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /orders/terms_and_conditions/{tenant_name}/sign:
    post:
      tags:
        - terms and conditions
      summary: Sign Terms
      operationId: sign_terms_orders_terms_and_conditions__tenant_name__sign_post
      parameters:
        - name: tenant_name
          in: path
          required: true
          schema:
            type: string
            title: Tenant Name
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NBCustomerToTermsCreateRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerToTermsAgreement'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    NBCustomerToTermsCreateRequest:
      properties:
        signature_metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Signature Metadata
        related_service:
          type: string
          title: Related Service
        terms_id:
          type: integer
          title: Terms Id
        service_id:
          type: integer
          title: Service Id
      type: object
      required:
        - related_service
        - terms_id
        - service_id
      title: NBCustomerToTermsCreateRequest
    CustomerToTermsAgreement:
      properties:
        user_id:
          type: integer
          title: User Id
        user_name:
          type: string
          title: User Name
        tenant_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tenant Id
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
        related_service:
          type: string
          title: Related Service
        version:
          type: string
          title: Version
        signature_metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Signature Metadata
        id:
          type: integer
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        expiration_time:
          type: string
          format: date-time
          title: Expiration Time
      type: object
      required:
        - user_id
        - user_name
        - related_service
        - version
        - id
        - created_at
        - expiration_time
      title: CustomerToTermsAgreement
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````